<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'} ">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein" style="padding: 0;overflow: hidden;">
    <div class="layui-card">
        <div class="layui-card-header">
            <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
                <a class="close" href="javascript:void(0);">上级列表</a><span lay-separator="">/</span>
                <a href="javascript:void(0);"><cite>编辑内容</cite></a>
            </span>
        </div>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form" lay-filter="dataForm">
                <div class="layui-form-item">
                    <label class="layui-form-label">上级名称 *</label>
                    <div class="layui-input-block">
                        <input type="hidden" name="dictionaryParentId" lay-verify="required">
                        <input type="text" name="dictionaryParentName" class="layui-input" disabled>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">字典名称 *</label>
                    <div class="layui-input-block">
                        <input type="text" name="dictionaryName" lay-verify="required" placeholder="请输入字典名称" class="layui-input">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">字典说明</label>
                    <div class="layui-input-block">
                        <input type="text" name="dictionarySummary" placeholder="请输入字典说明" class="layui-input">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">排序</label>
                    <div class="layui-input-block">
                        <input type="number" name="dictionarySort" lay-verify="number" placeholder="请输入字典排序" class="layui-input">
                    </div>
                </div>

                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" class="layui-btn" lay-submit lay-filter="submitForm">提交编辑</button>
                            <button type="button" class="layui-btn layui-btn-primary close">返回上级</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<input type="hidden" id="dictionaryId" th:value="${dictionaryId}">
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate'], function(){
        var $ = layui.$;
        var form = layui.form;
        var dictionaryId = $('#dictionaryId').val();
        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }
        // 初始化
        function initData() {
            var loadLayerIndex;
            top.restAjax.get(top.restAjax.path('api/datadictionary/getdictionarybyid/{dictionaryId}', [dictionaryId]), {}, null, function(code, data) {
                form.val('dataForm', {
                    dictionaryParentName: data.dictionaryParentName == '' ? '根节点' : data.dictionaryParentName,
                    dictionaryParentId: data.dictionaryParentId,
                    dictionaryName: data.dictionaryName,
                    dictionarySummary: data.dictionarySummary,
                    dictionarySort: data.dictionarySort
                });
                form.render(null, 'dataForm');
            }, function(code, data) {
                top.DialogBox.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.loading, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        }
        initData();

        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            top.dialog.confirm(top.dataMessage.commit, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                top.restAjax.put(top.restAjax.path('api/datadictionary/updatedictionary/{dictionaryId}', [dictionaryId]), formData.field, null, function(code, data) {
                    var layerIndex = top.dialog.msg(top.dataMessage.commitSuccess, {
                        time: 0,
                        btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                        shade: 0.3,
                        yes: function(index) {
                            top.dialog.close(index);
                            parent.parent.common.refreshTree('leftTree');
                            window.location.reload();
                        },
                        btn2: function() {
                            closeBox();
                            parent.parent.common.refreshTree('leftTree');
                        }
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });
        $('.close').on('click', function() {
            closeBox();
        });
    });
</script>
</body>
</html>